## org.eclipse.emf.query.conditions.eobjects
Class EObjectSource

    java.lang.Object
      org.eclipse.emf.query.conditions.eobjects.EObjectSource

All Implemented Interfaces:
  IEObjectSource

    public class EObjectSource

extends Object
implements IEObjectSource

This class represents a simple implementation of `IEObjectSource` that is constructed with one EObject or a collection of EObjects.

This class is intended to be used by clients that need to pass their input to a query statement for execution.

Constructor Summary
`EObjectSource(Collection<? extends EObject> eObjects)` Initializes me with (potentially) multiple sub-trees from which to get objects.
`EObjectSource(EObject eObject)` Initializes me with a single sub-tree from which to get objects.

Method Summary
`Set<? extends EObject>` `getEObjects()` A getter for the EObjects supplied by this `IEObjectSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EObjectSource

    public EObjectSource(EObject eObject)

  Initializes me with a single sub-tree from which to get objects.

  Parameters:
    `eObject` - the root of a sub-tree to query

### EObjectSource

    public EObjectSource(Collection<? extends EObject> eObjects)

  Initializes me with (potentially) multiple sub-trees from which to get objects.

  Parameters:
    `eObjects` - the roots (zero or more) of sub-trees to query

Method Detail

### getEObjects

    public Set<? extends EObject> getEObjects()

  Description copied from interface: `IEObjectSource`
  A getter for the EObjects supplied by this `IEObjectSource`

  Specified by:
    `getEObjects` in interface `IEObjectSource`
  Returns:
    Set The set of EObjects this `IEObjectSource` furnishes

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.